Get a cluster
import requests
url = "https://{FUSION HOST}/api/searchCluster/{id}"
response = requests.get(url)
print(response.text){
"id": "<string>",
"connectString": "<string>",
"zkClientTimeout": 123,
"zkConnectTimeout": 123,
"cloud": true,
"bufferFlushInterval": 123,
"bufferSize": 123,
"concurrency": 123,
"authConfig": {
"username": "<string>",
"password": "<string>",
"keyTab": "<string>",
"principal": "<string>"
},
"validateCluster": true
}Get a cluster
Return the definition for the specified cluster.
GET
/
searchCluster
/
{id}
Get a cluster
import requests
url = "https://{FUSION HOST}/api/searchCluster/{id}"
response = requests.get(url)
print(response.text){
"id": "<string>",
"connectString": "<string>",
"zkClientTimeout": 123,
"zkConnectTimeout": 123,
"cloud": true,
"bufferFlushInterval": 123,
"bufferSize": 123,
"concurrency": 123,
"authConfig": {
"username": "<string>",
"password": "<string>",
"keyTab": "<string>",
"principal": "<string>"
},
"validateCluster": true
}Path Parameters
The cluster ID.
Response
200 - application/json
successful operation
Show child attributes
Show child attributes
Was this page helpful?
⌘I